#!/bin/bash
#
#
fsc_data_fn=$1
plot_fn=${fsc_data_fn%%.???}.pdf

gnuplot <<EOF > /dev/null 2>&1
set border linewidth 1.5
set terminal pdfcairo size 5.0cm,4.0cm enhanced font 'Arial,9'
set output '$plot_fn'

# color definitions
set style line 1 lc rgb '#0060ad' lt 1 lw 2 pt 7 # --- blue
set style line 2 lc rgb 'red'     lt 1 lw 2 pt 7 # --- red
set style line 3 lc rgb 'orange'  lt 1 lw 2 pt 7 # --- orange
set style line 4 lc rgb 'light-blue' lt 1 lw 2 pt 7 # --- light blue
set style line 5 lc rgb 'green'   lt 1 lw 2 pt 7
set style line 6 lc rgb 'gray'    lt 1 lw 2 pt 7

#unset key
set xlabel 'Spatial frequency (1/)'
set ylabel 'FSC'
#set format y '%3.2f'
set tics scale 0.75
#set xrange [0.0:0.4]
set yrange [0.0:1.0]
set ytics 0.0,0.25,1.0
set ytics add ("0.143" 0.143)
set xtics 0.0,0.1,0.4
set mxtics 2
show mxtics
unset key

plot '$fsc_data_fn'     using (\$1):(\$2)     w lines ls 1
EOF

# Now fix the title
echo "InfoKey: Title" > /tmp/pdftemp.txt
echo "InfoValue: $1" >> /tmp/pdftemp.txt
mv ${plot_fn} /tmp/tmp.pdf
pdftk /tmp/tmp.pdf update_info /tmp/pdftemp.txt output $plot_fn

# Now make a PNG version
convert -density 300 -flatten ${plot_fn} ${plot_fn%%.pdf}.png
